Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.scroller
Class Scroller

    java.lang.Object
      com.tonbeller.wcf.scroller.Scroller

public class Scroller
extends java.lang.Object

Generates hidden input fields that are required to keep scrolling position. Provides static methods to enable scrolling.

Field Summary
`static java.lang.String` | `FORCE_SCROLLER`

Constructor Summary
`Scroller()`

Method Summary
`static void` | `enableScroller(RequestContext context)` enables/disables scrolling for this request.
`void` | `handleRequest(RequestContext context, javax.servlet.jsp.JspWriter out)`
`static boolean` | `isScrollerEnabled(RequestContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORCE_SCROLLER

    public static final java.lang.String FORCE_SCROLLER

See Also:
  Constant Field Values

Constructor Detail

### Scroller

    public Scroller()

Method Detail

### handleRequest

    public void handleRequest(RequestContext context,
                              javax.servlet.jsp.JspWriter out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### enableScroller

    public static void enableScroller(RequestContext context)

  enables/disables scrolling for this request. Typically a request handler should decide whether the current position should be kept or not. A tree node expansion handler would want to keep the position a dialog close button handler not.

  By default scrolling is disabled

### isScrollerEnabled

    public static boolean isScrollerEnabled(RequestContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD